// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class FacebookController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public FacebookController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected FacebookController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Detail()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllPostPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPostPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllComment()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllComment);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllCommentPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllCommentPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllLike()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllLike);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllLikePager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllLikePager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult PopulatePostFromFacebook()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulatePostFromFacebook);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult PopulateLikeFromFacebook()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateLikeFromFacebook);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult PopulateLikeAndCommentFromFacebook()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateLikeAndCommentFromFacebook);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult PopulateCommentFromFacebook()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateCommentFromFacebook);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public FacebookController Actions { get { return MVC.Facebook; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Facebook";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Facebook";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Detail = "Detail";
            public readonly string GridGetAllPost = "GridGetAllPost";
            public readonly string GridGetAllPostPager = "GridGetAllPostPager";
            public readonly string GridGetAllComment = "GridGetAllComment";
            public readonly string GridGetAllCommentPager = "GridGetAllCommentPager";
            public readonly string GridGetAllLike = "GridGetAllLike";
            public readonly string GridGetAllLikePager = "GridGetAllLikePager";
            public readonly string PopulatePostFromFacebook = "PopulatePostFromFacebook";
            public readonly string PopulateLikeFromFacebook = "PopulateLikeFromFacebook";
            public readonly string PopulateLikeAndCommentFromFacebook = "PopulateLikeAndCommentFromFacebook";
            public readonly string PopulateCommentFromFacebook = "PopulateCommentFromFacebook";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Detail = "Detail";
            public const string GridGetAllPost = "GridGetAllPost";
            public const string GridGetAllPostPager = "GridGetAllPostPager";
            public const string GridGetAllComment = "GridGetAllComment";
            public const string GridGetAllCommentPager = "GridGetAllCommentPager";
            public const string GridGetAllLike = "GridGetAllLike";
            public const string GridGetAllLikePager = "GridGetAllLikePager";
            public const string PopulatePostFromFacebook = "PopulatePostFromFacebook";
            public const string PopulateLikeFromFacebook = "PopulateLikeFromFacebook";
            public const string PopulateLikeAndCommentFromFacebook = "PopulateLikeAndCommentFromFacebook";
            public const string PopulateCommentFromFacebook = "PopulateCommentFromFacebook";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
        }
        static readonly ActionParamsClass_Detail s_params_Detail = new ActionParamsClass_Detail();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Detail DetailParams { get { return s_params_Detail; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Detail
        {
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_GridGetAllPostPager s_params_GridGetAllPostPager = new ActionParamsClass_GridGetAllPostPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllPostPager GridGetAllPostPagerParams { get { return s_params_GridGetAllPostPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllPostPager
        {
            public readonly string txtSearch = "txtSearch";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_GridGetAllComment s_params_GridGetAllComment = new ActionParamsClass_GridGetAllComment();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllComment GridGetAllCommentParams { get { return s_params_GridGetAllComment; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllComment
        {
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_GridGetAllCommentPager s_params_GridGetAllCommentPager = new ActionParamsClass_GridGetAllCommentPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllCommentPager GridGetAllCommentPagerParams { get { return s_params_GridGetAllCommentPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllCommentPager
        {
            public readonly string PostID = "PostID";
            public readonly string txtSearch = "txtSearch";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_GridGetAllLike s_params_GridGetAllLike = new ActionParamsClass_GridGetAllLike();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllLike GridGetAllLikeParams { get { return s_params_GridGetAllLike; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllLike
        {
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_GridGetAllLikePager s_params_GridGetAllLikePager = new ActionParamsClass_GridGetAllLikePager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllLikePager GridGetAllLikePagerParams { get { return s_params_GridGetAllLikePager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllLikePager
        {
            public readonly string PostID = "PostID";
            public readonly string txtSearch = "txtSearch";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_PopulatePostFromFacebook s_params_PopulatePostFromFacebook = new ActionParamsClass_PopulatePostFromFacebook();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_PopulatePostFromFacebook PopulatePostFromFacebookParams { get { return s_params_PopulatePostFromFacebook; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_PopulatePostFromFacebook
        {
            public readonly string token = "token";
        }
        static readonly ActionParamsClass_PopulateLikeFromFacebook s_params_PopulateLikeFromFacebook = new ActionParamsClass_PopulateLikeFromFacebook();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_PopulateLikeFromFacebook PopulateLikeFromFacebookParams { get { return s_params_PopulateLikeFromFacebook; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_PopulateLikeFromFacebook
        {
            public readonly string token = "token";
            public readonly string PostID = "PostID";
        }
        static readonly ActionParamsClass_PopulateLikeAndCommentFromFacebook s_params_PopulateLikeAndCommentFromFacebook = new ActionParamsClass_PopulateLikeAndCommentFromFacebook();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_PopulateLikeAndCommentFromFacebook PopulateLikeAndCommentFromFacebookParams { get { return s_params_PopulateLikeAndCommentFromFacebook; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_PopulateLikeAndCommentFromFacebook
        {
            public readonly string token = "token";
            public readonly string PostID = "PostID";
        }
        static readonly ActionParamsClass_PopulateCommentFromFacebook s_params_PopulateCommentFromFacebook = new ActionParamsClass_PopulateCommentFromFacebook();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_PopulateCommentFromFacebook PopulateCommentFromFacebookParams { get { return s_params_PopulateCommentFromFacebook; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_PopulateCommentFromFacebook
        {
            public readonly string token = "token";
            public readonly string PostID = "PostID";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Detail = "Detail";
                public readonly string GridGetAllComment = "GridGetAllComment";
                public readonly string GridGetAllLike = "GridGetAllLike";
                public readonly string GridGetAllPost = "GridGetAllPost";
                public readonly string Index = "Index";
            }
            public readonly string Detail = "~/Views/Facebook/Detail.cshtml";
            public readonly string GridGetAllComment = "~/Views/Facebook/GridGetAllComment.cshtml";
            public readonly string GridGetAllLike = "~/Views/Facebook/GridGetAllLike.cshtml";
            public readonly string GridGetAllPost = "~/Views/Facebook/GridGetAllPost.cshtml";
            public readonly string Index = "~/Views/Facebook/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_FacebookController : LoyaltyPointEngine.CMS.Controllers.FacebookController
    {
        public T4MVC_FacebookController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void DetailOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Detail(System.Guid ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            DetailOverride(callInfo, ID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPostOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPost()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPost);
            GridGetAllPostOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPostPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string txtSearch, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPostPager(string txtSearch, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPostPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllPostPagerOverride(callInfo, txtSearch, page);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllCommentOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllComment(System.Guid ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllComment);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            GridGetAllCommentOverride(callInfo, ID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllCommentPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid PostID, string txtSearch, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllCommentPager(System.Guid PostID, string txtSearch, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllCommentPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "PostID", PostID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllCommentPagerOverride(callInfo, PostID, txtSearch, page);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllLikeOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllLike(System.Guid ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllLike);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            GridGetAllLikeOverride(callInfo, ID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllLikePagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid PostID, string txtSearch, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllLikePager(System.Guid PostID, string txtSearch, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllLikePager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "PostID", PostID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllLikePagerOverride(callInfo, PostID, txtSearch, page);
            return callInfo;
        }

        [NonAction]
        partial void PopulatePostFromFacebookOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string token);

        [NonAction]
        public override System.Web.Mvc.ActionResult PopulatePostFromFacebook(string token)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulatePostFromFacebook);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "token", token);
            PopulatePostFromFacebookOverride(callInfo, token);
            return callInfo;
        }

        [NonAction]
        partial void PopulateLikeFromFacebookOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string token, System.Guid PostID);

        [NonAction]
        public override System.Web.Mvc.ActionResult PopulateLikeFromFacebook(string token, System.Guid PostID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateLikeFromFacebook);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "token", token);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "PostID", PostID);
            PopulateLikeFromFacebookOverride(callInfo, token, PostID);
            return callInfo;
        }

        [NonAction]
        partial void PopulateLikeAndCommentFromFacebookOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string token, System.Guid PostID);

        [NonAction]
        public override System.Web.Mvc.ActionResult PopulateLikeAndCommentFromFacebook(string token, System.Guid PostID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateLikeAndCommentFromFacebook);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "token", token);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "PostID", PostID);
            PopulateLikeAndCommentFromFacebookOverride(callInfo, token, PostID);
            return callInfo;
        }

        [NonAction]
        partial void PopulateCommentFromFacebookOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string token, System.Guid PostID);

        [NonAction]
        public override System.Web.Mvc.ActionResult PopulateCommentFromFacebook(string token, System.Guid PostID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.PopulateCommentFromFacebook);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "token", token);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "PostID", PostID);
            PopulateCommentFromFacebookOverride(callInfo, token, PostID);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
